OR(1)

NAME
or - conditionally execute a command

SYNOPSIS

COMMAND1; or COMMAND2

DESCRIPTION

or is used to execute a command if the previous command was not successful (returned a status of something other than 0).

or statements may be used as part of the condition in an and or while block.

or does not change the current exit status itself, but the command it runs most likely will. The exit status of the last foreground command to exit can always be accessed using the $status variable.

EXAMPLE

The following code runs the make command to build a program. If the build succeeds, the program is installed. If either step fails, make clean is run, which removes the files created by the build process.

make; and make install; or make clean

SEE ALSO

•   and command

COPYRIGHT
2020, fish-shell developers